Entwurf PolarAnordnung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft PolarArray and the translation is 35% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский

Official icon not found {{{Name/de}}}

Menüeintrag
Entwurf → Polare Anordnung
Arbeitsbereich
Entwurf
Standardtastenkürzel
None
In der Version eingeführt
0.19
Siehe auch
Anordnung, KreisAnordnung, PfadAnordnung, Punkt Anordnung, Klonen


Beschreibung

Das Draft PolarArray.svg Entwurf PolarAnordnung Werkzeug erstellt eine Anordnung aus einem ausgewählten Objekt und platziert die Kopien entlang eines Umfangs.

Dieses Werkzeug kann für 2D Formen verwendet werden, die mit dem Entwurf Arbeitsbereich erstellt wurden, aber auch für viele Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich oder PartDesign Arbeitsbereich erstellt wurden.

Zum Positionieren von Kopien in einem rechteckigen Raster verwende Array; zum Positionieren in einem kreisförmigen Muster verwende KreisAnordnung; um Kopien entlang eines Pfades zu positionieren, verwende PfadAnordnung; um Kopien an bestimmten Punkten zu positionieren, verwende PunktAnordnung; um Kopien oder Klone zu erstellen und manuell zu platzieren, verwende Bewegen, Drehen und Klonen.

Draft PolarArray example.png

Eine polar Anordnung eines Objekts.


Anwendung

  1. Wähleein Objekt aus, von dem du die Polaranordnung erstellen möchtest.
  2. Drücke die Draft PolarArray.svg Polar Anordnung Schaltfläche. Wenn kein Objekt ausgewählt ist, wird das Aufgabenpaneel geöffnet, aber du musst trotzdem ein Objekt auswählen, um fortzufahren.
  3. Wähle den Polarwinkel, der bestimmt, wo sich das letzte Element der Anordnung befindet.
  4. Wähle die Anzahl der Elemente in der Anordnung. Minimum von 2, Maximum von 99.
  5. Wähle das Zentrum der Rotationsachse. Du kannst auf die 3D Ansicht klicken, um gleichzeitig die Position des Rotationszentrums festzulegen und den Befehl abzuschließen.
  6. Optional hake die verschmelzungs- oder Verknüpfungsoptionen an.
  7. Drücke OK, um den Befehl abzuschließen.

Notes

Hinweise:

  • Standardmäßig ist die Rotationsachse die positive Z Achse (0, 0, 1). Dies kann im Eigenschaftseditor geändert werden, nachdem das Objekt erzeugt wurde.
  • Der Polarwinkel ist positiv im Gegenuhrzeigersinn und negativ im Uhrzeigersinn.
  • Jedes Element in der Anordnung ist ein exakter Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine Einheit betrachtet.
  • Mit diesem Befehl wird dasselbe Objekt erstellt, das mit den Anordnung und KreisAnordnung Werkzeugen erstellt wurde. Daher kann die Anordnung einfach durch Ändern seiner Eigenschaften in orthogonal, polar oder zirkular umgewandelt werden.

Optionen

These are the options displayed in the task panel.

  • Drücke Reset point um das Drehzentrum auf den Ursprung zu setzen (0, 0, 0).
  • Wenn das Kontrollkästchen Fuse aktiviert ist, werden die resultierenden Objekte in der Anordnung zu einer einzigen Form verschmolzen, wenn sie einander berühren oder schneiden.
  • Wenn das Kontrollkästchen Use Links markiert ist, werden die resultierenden Objekte in der Anordnung nicht als einfache Kopien, sondern als App Verknüpfungen erstellt. Dies verbessert die Speichernutzung der Anordnung, da die App Verknüpfung die Form des Originalobjekts wiederverwendet und keine neuen Formen erstellt. Wenn diese Option verwendet wird, hat das Fuse Kontrollkästchen keine Wirkung.
  • Drücke Esc oder die Cancel Schaltfläche, um den aktuellen Befehl abzubrechen.

Note: if a Link array is created, this object cannot be converted to a regular array. And similarly, a regular array cannot be converted to a Link array. Therefore, you must choose the type of array that you want at creation time.

Eigenschaften

Ein Anordnungs Objekt basiert auf Part Formelement (Part::Feature Klasse), und teilt somit alle Eigenschaften der letzteren. Zusätzlich zu den unter Part Formelement aufgeführten Eigenschaften verfügt das Anordnungsobjekt über weitere Eigenschaften.

Siehe das Draft Array.svg OrthoAnordnung Werkzeug für die vollständige Information.

Skripten

Siehe auch: Draft API und FreeCAD Grundlagen Skripten.

Das Anordnungswerkzeug kann in Makros und von der Python Konsole aus mit folgender Funktion verwendet werden:

Older call:

array = makeArray(baseobject, center, totalangle, totalnum, use_link=False)

New call:

array = make_polar_array(base_object,
                         number=5, angle=360, center=App.Vector(0, 0, 0),
                         use_link=True)
  • Erstellt eine Anordnung aus den in obj enthaltenen Objekten, die ein einzelnes Objekt oder eine Liste von Objekten sein kann.
  • Der Wert von center ist ein Vektor, der den Mittelpunkt des Anordnungkreises definiert; angle ist der Winkel des Bogens in Grad, und number ist die Anzahl der Kopien im Kreismuster, einschließlich des Originalobjekts.
  • Wenn use_link true ist, handelt es sich bei den erstellten Kopien um App Verknüpfungen und nicht um reguläre Kopien.
  • array_list wird mit den neuen Kopien zurückgegeben.
    • array_list ist entweder ein einzelnes Objekt oder eine Liste von Objekten, abhängig von der Eingabe obj.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

array = Draft.make_polar_array(tri, 8, 270, center)
doc.recompute()

Scripting, non-parametric array

When using the Draft PolarArray.svg PolarArray tool, a parametric "Array" object is created. This can be scripted as described in the previous section.

However, to obtain standalone copies of the base object, the simple Draft.array function can be used. This will create simple copies, not a new parametric object.

To create a polar array, use it like this:

array_list = array(objectslist, center, angle, number)
  • Creates an array from the objects contained in objectslist, which can be a single object or a list of objects.
    • In case of a polar array, center defines the center of the array circle, angle is the angle of the arc in degrees to cover with copies, and number is the number of copies to arrange on the circular arc, not including the original object.
    • array_list is returned with the new copies. It is either a single object or a list of objects, depending on the input objectslist.

This function internally uses Draft.rotate() with copy=True.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-3200, 0, 0)

array_list = Draft.array(tri, center, 180, 5)
doc.recompute()